unit uScrollboxOptionsOne;

{******************************************************************************
Initial Author   :    Scott Price
Initially Created:    2003-10-20
Language         :    Object Pascal
Compiler Version :    Delphi 3.02, 4.03, 5.01, 6.02 (UK)
Copyright        :     Information Technology Sector Limited, 1996-2002

Source Code Constraints:
========================
   Distribution, disclosure or modifications of this source code, outside of
   any licenced agreements with Information Technology Sector Limited, or
   removal of this notice constitutes a breach of any or all license agreements.

Operating Systems Tested On:
============================
   Microsoft Windows(R) 98, First Edition
   Microsoft Windows(R) 2000, Service Pack 3

Design Notes:
=============

VERSION  AUTHOR                DATE/TIME
===============================================================================
$history$
$nokeywords$
===============================================================================
NOTES:
===============================================================================
TODO:
******************************************************************************}


interface



uses
  { Borland Standard Units }
  Classes, Forms, ExtCtrls, StdCtrls, Controls;


type
  { TOptionsOne }

  TOptionsOne = class(TScrollBox)
  private
    { Private Declarations }
    rgSelectsOptionOne: TRadioGroup;
    gpGroupOptionOne: TGroupBox;
    lbGroupOptionsOneEdit1: TLabel;
    lbGroupOptionsOneEdit2: TLabel;
    lbGroupOptionsOneComboBox1: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    ComboBox1: TComboBox;
  protected
    { Protected Declarations }
  public
    { Public Declarations }
    constructor Create(AOwner: TComponent; Parent: TWinControl); overload;
  published
    { Published Declarations }
  end;




implementation



  { TOptionsOne }

constructor TOptionsOne.Create(AOwner: TComponent; Parent: TWinControl);
begin
  Create(AOwner);

  rgSelectsOptionOne := TRadioGroup.Create(Self);
  gpGroupOptionOne := TGroupBox.Create(Self);
  lbGroupOptionsOneEdit1 := TLabel.Create(Self);
  lbGroupOptionsOneEdit2 := TLabel.Create(Self);
  lbGroupOptionsOneComboBox1 := TLabel.Create(Self);
  Edit1 := TEdit.Create(Self);
  Edit2 := TEdit.Create(Self);
  ComboBox1 := TComboBox.Create(Self);

  Self.Parent := Parent;
  Align := alClient;
  TabOrder := 0;

  with rgSelectsOptionOne do
  begin
    Name := 'rgSelectsOptionOne';
    Parent := Self;
    Left := 12;
    Top := 16;
    Width := 293;
    Height := 89;
    Caption := ' Selects One ';
    Items.Add('Option Item 1');
    Items.Add('Option Item 2');
    Items.Add('Option Item 3');
    TabOrder := 0;
  end;
  with gpGroupOptionOne do
  begin
    Name := 'gpGroupOptionOne';
    Parent := Self;
    Left := 12;
    Top := 116;
    Width := 293;
    Height := 105;
    Caption := ' Group One ';
    TabOrder := 1;
  end;
  with lbGroupOptionsOneEdit1 do
  begin
    Name := 'lbGroupOptionsOneEdit1';
    Parent := gpGroupOptionOne;
    Left := 23;
    Top := 27;
    Width := 53;
    Height := 13;
    Alignment := taRightJustify;
    Caption := 'Edit Junk 1';
  end;
  with lbGroupOptionsOneEdit2 do
  begin
    Name := 'lbGroupOptionsOneEdit2';
    Parent := gpGroupOptionOne;
    Left := 23;
    Top := 51;
    Width := 53;
    Height := 13;
    Alignment := taRightJustify;
    Caption := 'Edit Junk 2';
  end;
  with lbGroupOptionsOneComboBox1 do
  begin
    Name := 'lbGroupOptionsOneComboBox1';
    Parent := gpGroupOptionOne;
    Left := 8;
    Top := 76;
    Width := 68;
    Height := 13;
    Alignment := taRightJustify;
    Caption := 'Combo Junk 1';
  end;
  with Edit1 do
  begin
    Name := 'Edit1';
    Parent := gpGroupOptionOne;
    Left := 84;
    Top := 24;
    Width := 197;
    Height := 21;
    TabOrder := 0;
    Text := 'Edit1';
  end;
  with Edit2 do
  begin
    Name := 'Edit2';
    Parent := gpGroupOptionOne;
    Left := 84;
    Top := 48;
    Width := 197;
    Height := 21;
    TabOrder := 1;
    Text := 'Edit2';
  end;
  with ComboBox1 do
  begin
    Name := 'ComboBox1';
    Parent := gpGroupOptionOne;
    Left := 84;
    Top := 72;
    Width := 197;
    Height := 21;
    ItemHeight := 13;
    TabOrder := 2;
    Text := 'ComboBox1';
  end;
end;

end.
